package cn.reghao.tnb.content.app.mall.model.po;

import cn.reghao.tnb.content.app.mall.model.constant.LogisticsStatus;
import lombok.Getter;
import lombok.Setter;

import java.time.LocalDateTime;

/**
 * @author reghao
 * @date 2024-09-19 09:22:10
 */
@Setter
@Getter
public class LogisticsProgress {
    private Long orderId;
    private String logisticsId;
    private Integer status;
    private String current;
    private LocalDateTime createAt;

    public LogisticsProgress() {
        this.createAt = LocalDateTime.now();
    }

    public LogisticsProgress(String logisticsId) {
        this.status = LogisticsStatus.status1.getCode();
        this.current = "包裹正在等待揽收";
        this.createAt = LocalDateTime.now();
    }
}
